Bug 24723 - EmailPurchaseSuggestions should use Koha::Library->inbound_email_address when set to 'BranchEmailAddress'
Summary: EmailPurchaseSuggestions should use Koha::Library->inbound_email_address when...
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Martin Renvoize
QA Contact: Testopia
URL:
Keywords:
Depends on: 22823
Blocks:
  Show dependency treegraph
 
Reported: 2020-02-25 11:13 UTC by Martin Renvoize
Modified: 2020-04-03 20:36 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00


Attachments
Bug 24723: Update EmailPurchaseSuggestions to use effective_email (1.33 KB, patch)
2020-02-25 11:16 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 24723: Update EmailPurchaseSuggestions to use inbound_email_address (1.34 KB, patch)
2020-03-18 09:53 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 24723: Update EmailPurchaseSuggestions to use inbound_email_address (1.41 KB, patch)
2020-03-18 10:23 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Renvoize 2020-02-25 11:13:08 UTC
Bug 22823 introduced a consistent method for obtaining the inbound email address of a library branch, we should use that method to obtain the correct address for use with the EmailPurchaseSuggestions functionality when it is set to 'BranchEmailAddress'.
Comment 1 Martin Renvoize 2020-02-25 11:16:26 UTC
Created attachment 99573 [details] [review]
Bug 24723: Update EmailPurchaseSuggestions to use effective_email

This patch updates the EmailPurchaseSuggestions functionality to
use the get_effective_email method to obtain the correct email address
for a branch when it is set to BranchEmail
Comment 2 Jonathan Druart 2020-03-18 09:53:40 UTC
Created attachment 100942 [details] [review]
Bug 24723: Update EmailPurchaseSuggestions to use inbound_email_address

This patch updates the EmailPurchaseSuggestions functionality to
use the inbound_email_address method to obtain the correct email address
for a branch when it is set to BranchEmail
Comment 3 Jonathan Druart 2020-03-18 09:54:27 UTC
The method has been renamed in a previous bug report.
Comment 4 Jonathan Druart 2020-03-18 10:23:01 UTC
Created attachment 100948 [details] [review]
Bug 24723: Update EmailPurchaseSuggestions to use inbound_email_address

This patch updates the EmailPurchaseSuggestions functionality to
use the inbound_email_address method to obtain the correct email address
for a branch when it is set to BranchEmail

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Jonathan Druart 2020-03-18 10:24:12 UTC
Trivial patch, tested on top of the whole stack. Passing QA.
Comment 6 Martin Renvoize 2020-03-19 09:39:45 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 7 Joy Nelson 2020-04-03 20:36:26 UTC
not backported to 19.11.x due to dependencies